Bug 1129809 - Review Request: remmina-plugin-teamviewer - Remmina protocol plugin to open a RDP connection with TeamViewer
Summary: Review Request: remmina-plugin-teamviewer - Remmina protocol plugin to open a...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 17:34 UTC by Pavel Alexeev
Modified: 2018-01-05 19:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 21:33:13 UTC
projects.rg: fedora-review-


Attachments (Terms of Use)

Description Pavel Alexeev 2014-08-13 17:34:20 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/dc274cff4facd03831dc35b296ecc02f7e195324/SPECS/remmina-plugin-teamviewer.spec
SRPM URL: http://hubbitus.info/rpm/Fedora20/remmina-plugin-teamviewer/remmina-plugin-teamviewer-1.0.0.2-1.fc22.src.rpm
Description: Remmina Plugin TeamViewer is a free software protocol plugin to establish
connections using TeamViewer, a remote control application with many
features and capable of connecting even through NAT, both for Windows,
Linux and others operating systems.

It require proprietary TeamViewer software! As it is in Fedora it is not listed
in dep, so you must install it separately!
Fedora Account System Username: Hubbitus

Comment 1 Raphael Groner 2017-02-06 20:46:22 UTC
Are you interested in a review swap?
Maybe you can look into bug #138585 or bug #1402590.

Before I'll do an official run of fedora-review, you must list license text file separately:

%files
%license remmina-plugin-to-build/LICENSE
%doc remmina-plugin-to-build/README.md

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 2 Raphael Groner 2017-02-06 20:49:17 UTC
> URL:            http://www.muflone.com/remmina-plugin-rdesktop/

Are you sure this URL is the right one for the teamviewer plugin?

Comment 3 Raphael Groner 2017-02-06 20:50:55 UTC
(In reply to Raphael Groner from comment #2)
> > URL:            http://www.muflone.com/remmina-plugin-rdesktop/
> 
> Are you sure this URL is the right one for the teamviewer plugin?

Maybe you mean: https://github.com/muflone/remmina-plugin-teamviewer

Comment 4 Mohamed El Morabity 2017-02-06 20:54:20 UTC
This plugin requires Teamviewer to be installed, which is nonfree. Such a plugin cannot be included in the Fedora repositories according to the guidelines unfortunately:
https://fedoraproject.org/wiki/Packaging:Guidelines#Packages_which_are_not_useful_without_external_bits

Comment 5 Raphael Groner 2017-02-06 21:33:13 UTC
Indeed, RPMFusion is the better place to ask for a package like this one:
https://rpmfusion.org/Wishlist

I'm sorry but we need to close here.

Comment 6 Pavel Alexeev 2018-01-05 19:25:39 UTC
Any way thanks to look on it.


Note You need to log in before you can comment on or make changes to this bug.